Loading...
Searching...
No Matches
work_queue.hpp File Reference

Unsettled API - A context for thread-safe execution of work. More...

`#include "./duration.hpp"`
`#include "./fwd.hpp"`
`#include "./function.hpp"`
`#include "./internal/export.hpp"`
`#include <functional>`
`#include <memory>`
`#include <type_traits>`
`#include <utility>`
Include dependency graph for work_queue.hpp:

Go to the source code of this file.

## Classes

class | work_queue
| Unsettled API - A context for thread-safe execution of work. More...

## Namespaces

namespace | proton
| The main Proton namespace.

## Detailed Description

Unsettled API - A context for thread-safe execution of work.